Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl
Class PlannerBenchmarkRunner

    java.lang.Object
      org.optaplanner.benchmark.impl.PlannerBenchmarkRunner

All Implemented Interfaces:
  PlannerBenchmark

    public class PlannerBenchmarkRunner

extends Object
implements PlannerBenchmark

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`PlannerBenchmarkRunner(PlannerBenchmarkResult plannerBenchmarkResult)`

Method Summary
`void` | `benchmark()` Run all the single benchmarks and create a report.
`void` | `benchmarkingEnded()`
`void` | `benchmarkingStarted()`
`long` | `calculateTimeMillisSpent()`
`File` | `getBenchmarkDirectory()`
`BenchmarkReport` | `getBenchmarkReport()`
`protected void` | `runSingleBenchmarks()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setBenchmarkReport(BenchmarkReport benchmarkReport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### PlannerBenchmarkRunner

    public PlannerBenchmarkRunner(PlannerBenchmarkResult plannerBenchmarkResult)

Method Detail

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getBenchmarkReport

    public BenchmarkReport getBenchmarkReport()

### setBenchmarkReport

    public void setBenchmarkReport(BenchmarkReport benchmarkReport)

### benchmark

    public void benchmark()

  Description copied from interface: `PlannerBenchmark`
  Run all the single benchmarks and create a report.

  Specified by:
    `benchmark` in interface `PlannerBenchmark`

### benchmarkingStarted

    public void benchmarkingStarted()

### runSingleBenchmarks

    protected void runSingleBenchmarks()

### benchmarkingEnded

    public void benchmarkingEnded()

### calculateTimeMillisSpent

    public long calculateTimeMillisSpent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.